genomeSequenceMmapHeader Class Reference
Inheritance diagram for genomeSequenceMmapHeader:
[legend]
Collaboration diagram for genomeSequenceMmapHeader:
[legend]

## Static Public Member Functions

static size_t | getHeaderSize (int chromosomeCount)

## Friends

class | GenomeSequence
std::ostream & | operator<< (std::ostream &, genomeSequenceMmapHeader &)

## Additional Inherited Members

Public Member Functions inherited from MemoryMapArrayHeader
void | constructorClear ()
void | debugPrint (FILE *)
size_t | getHeaderSize (int i)
void | setApplication (const char *s)
void | setCreationUser (const char *s)
void | setCreationHost (const char *s)
Public Attributes inherited from MemoryMapArrayHeader
uint32_t | typeCookie
uint32_t | typeVersion
uint32_t | contentCookie
uint32_t | contentVersion
size_t | headerSize
time_t | creationDate
char | creationUser [32]
char | creationHost [32]
char | application [32]
size_t | elementCount

## Detailed Description

Definition at line 79 of file GenomeSequenceHelpers.h.

The documentation for this class was generated from the following file:

- general/GenomeSequenceHelpers.h